From d5a4e0a222d72fb44be53c5e9c06c4eb0250d70c Mon Sep 17 00:00:00 2001
From: Chia-I Wu <olv@openmoko.com>
Date: Thu, 30 Oct 2008 16:16:14 +0800
Subject: [PATCH] fastboot: netbase init

---
 packages/netbase/netbase/om-gta02/init    |   46 +++++++++++++++++++++++++++++
 packages/netbase/netbase/om-gta02/options |    1 +
 2 files changed, 47 insertions(+), 0 deletions(-)
 create mode 100644 packages/netbase/netbase/om-gta02/init
 create mode 100644 packages/netbase/netbase/om-gta02/options

diff --git a/packages/netbase/netbase/om-gta02/init b/packages/netbase/netbase/om-gta02/init
new file mode 100644
index 0000000..e786f5b
--- /dev/null
+++ b/packages/netbase/netbase/om-gta02/init
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# manage network interfaces and configure some networking options
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+
+if ! [ -x /sbin/ifup ]; then
+    exit 0
+fi
+
+case "$1" in
+    start)
+        echo -n "Configuring network interfaces... "
+        ifup -a
+	echo "done."
+	;;
+    stop)
+        if sed -n 's/^[^ ]* \([^ ]*\) \([^ ]*\) .*$/\1 \2/p' /proc/mounts | 
+          grep -q "^/ nfs$"; then
+            echo "NOT deconfiguring network interfaces: / is an NFS mount"
+        elif sed -n 's/^[^ ]* \([^ ]*\) \([^ ]*\) .*$/\1 \2/p' /proc/mounts |  
+          grep -q "^/ smbfs$"; then
+            echo "NOT deconfiguring network interfaces: / is an SMB mount"
+	elif sed -n 's/^[^ ]* \([^ ]*\) \([^ ]*\) .*$/\2/p' /proc/mounts | 
+          grep -qE '^(nfs|smbfs|ncp|coda)$'; then
+            echo "NOT deconfiguring network interfaces: network shares still mounted."
+        else
+            echo -n "Deconfiguring network interfaces... "
+            ifdown -a
+	    echo "done."
+        fi
+	;;
+    force-reload|restart)
+        echo -n "Reconfiguring network interfaces... "
+        ifdown -a
+        ifup -a
+	echo "done."
+	;;
+    *)
+	echo "Usage: /etc/init.d/networking {start|stop|restart|force-reload}"
+	exit 1
+	;;
+esac
+
+exit 0
+
diff --git a/packages/netbase/netbase/om-gta02/options b/packages/netbase/netbase/om-gta02/options
new file mode 100644
index 0000000..1cbffcb
--- /dev/null
+++ b/packages/netbase/netbase/om-gta02/options
@@ -0,0 +1 @@
+# DEPRECATED by /etc/sysctl.conf
-- 
1.5.6.3

